aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/env
diff options
context:
space:
mode:
authorKevin Darbyshire-Bryant <ldir@darbyshire-bryant.me.uk>2020-07-12 13:25:39 +0100
committerKevin Darbyshire-Bryant <ldir@darbyshire-bryant.me.uk>2020-07-12 13:29:28 +0100
commit8242c6de29951fbb549355770cd685ffe3ac9c54 (patch)
treec524e9a3c7d75b9edbd9f4e7205cf12bba7eef36 /scripts/env
parent28893f5878a2afbfe91b5dd6027488d35bf43ed1 (diff)
downloadupstream-8242c6de29951fbb549355770cd685ffe3ac9c54.tar.gz
upstream-8242c6de29951fbb549355770cd685ffe3ac9c54.tar.bz2
upstream-8242c6de29951fbb549355770cd685ffe3ac9c54.zip
scripts/env: Fix 56f813674a scripts/env: use command -v instead of which
We don't need to see how git will be executed and it produces non silent output on 'scripts/env diff' commands when there are no differences unlike before. Re-introduce original silent behaviour. Signed-off-by: Kevin Darbyshire-Bryant <ldir@darbyshire-bryant.me.uk>
Diffstat (limited to 'scripts/env')
-rwxr-xr-xscripts/env2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/env b/scripts/env
index 726a354b57..df8b486bfe 100755
--- a/scripts/env
+++ b/scripts/env
@@ -57,7 +57,7 @@ env_init() {
if [ -z "$CREATE" ]; then
[ -d "$ENVDIR" ] || exit 0
fi
- command -v git || error "Git is not installed"
+ command -v git >/dev/null || error "Git is not installed"
mkdir -p "$ENVDIR" || error "Failed to create the environment directory"
cd "$ENVDIR" || error "Failed to switch to the environment directory"
[ -d .git ] || {